package com.bocloud.cop.entity;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 任务主机表
 * 
 * @author weiwei
 * @version 1.0
 * @since 2017.01.17
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table("task_node_relation_bak")
public class NodeRelationBak extends Generic{

    @PK(value = PKStrategy.SELF)
    private Long id; // ID
    @Column(value = "source",nullable = false)
    private Long source;
    @Column(value = "target",nullable = false)
    private Long target;
    @Column(value = "instance_id",nullable = false)
    private Long instanceId;
    @Column(value = "status",length = 32,nullable = false)
    private String status;
    @Column(value = "dicision",length = 1)
    private Boolean dicision;

}
