package com.bocloud.cop.entity;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author huliwei
 * @date 2023/4/23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table("task_treatment")
public class TaskTreatment extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("value")
    private String value;

    /**
     * 创建人
     */
    @IgnoreAll
    private String creator;

    /**
     * 修改人
     */
    @IgnoreAll
    private String mender;
}
