package com.bocloud.cop.entity.backup;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author huliwei
 * @date 2022/10/19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table("task_backup_instance")
public class TaskBackupInstance extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id;

    /**
     * 备份任务id
     */
    @Column("backup_id")
    private Long backupId;

    /**
     * 任务实例id
     */
    @Column("task_instance_id")
    private Long taskInstanceId;

}
