package com.bocloud.cop.entity.compare;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Author liuyuanyuan
 * @Date 2022-10-292 13:46:31
 * @Description:
 */
@Data
@Table("standard_document")
public class StandardDocument extends GenericEntity {

    /**
     * id
     *
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;

    /**
     * 版本id
     *
     */
    @Column("version_id")
    private Long versionId;

    @IgnoreAll
    private String versionName;

    @IgnoreAll
    private String versionCode;

    @IgnoreAll
    private String content;

    @IgnoreAll
    private String sourceFile;

    @IgnoreAll
    private String hostFilePath;

    @IgnoreAll
    private String creator;

    @IgnoreAll
    private String mender;

}