package com.bocloud.cop.entity.inspection;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.Data;

@Data
@Table("inspect_group_item")
public class InspectGroupItem extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID

    @Column("group_id")
    private Long groupId;  // 巡检资源组ID
    @Column("inspect_id")
    private Long inspectId;  // 巡检ID
    @Column("item_id")
    private Long itemId;  // 指标项ID

}
