package com.bocloud.cop.entity.inspection;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.Data;

/**
 * t_inspect_item表和t_inspect_warn_level表的中间关联表
 *
 * @author weirongheng
 */

@Data
@Table("inspect_item_warn")
public class InspectItemWarn extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column
    private Long warnId; // 告警模板id
    @Column
    private Long itemId; // 巡检项id
    @Column("is_deleted")
    private Boolean deleted;

}
