package com.bocloud.cop.entity.module;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: TaskNodeModuleParamItem
 * @Description:
 * @DATE: 2022/6/29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("task_node_module_param_item")
public class TaskNodeModuleParamItem extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("name")
    private String name;
    @Column("value")
    private String value;
    @Column("param_id")
    private Long paramId;

}