package com.bocloud.cop.enums;

import java.util.Arrays;
import java.util.List;

public enum ScriptTypeEnum {

    SCRIPT_TYPE("SCRIPT_TYPE", Arrays.asList("SHELL", "BAT", "PERL", "PYTHON", "POWERSHELL")),;

    private String key;
    private List<String> value;

    public String getKey() {
        return key;
    }

    public List<String> getValue() {
        return value;
    }

    ScriptTypeEnum(String key, List<String> value) {
        this.key = key;
        this.value = value;
    }
}
