package com.bocloud.cop.enums;

public class TaskHostType {

    public static enum SourceType {
        // IMS 通过IMS服务同步的数据
        // IMPORT 批量导入
        // CREATE 手动创建
        // Salt 同步
        IMS, IMPORT, CREATE,SALT;
    }

    public static enum UpdateModel {
        // AUTO 自动同步
        // MANUAL 手动设置
        AUTO, MANUAL;
    }

    public static enum Category {
        // LOGICAL 虚拟设备
        // PHYSICAL 物理设备
        LOGICAL, PHYSICAL, ALL;
    }

    public static enum Action {
        ADD, // 添加
        DEL, // 删除
        DELYVID, // 根据平台删除
        UPDATE // 编辑
    }

    public static enum ConnProtocol {
        Remote,
        SaltStack;
    }
}
