package com.bocloud.cop.model;

/**
 * @ Description：任务输入抽象封装类
 * @ Author     ：丁明威
 * @ Date       ：Created in 10:54 2018/12/17
 * @ Modified By：
 */
public abstract class Input<Fronts> {
    private Fronts fronts;
    private Target target;
    private Depend depend;
    private String executeType;

    public Input() {
    }

    public Input(Fronts fronts, Target target, Depend depend) {
        this.fronts = fronts;
        this.target = target;
        this.depend = depend;
    }

    public Fronts getFronts() {
        return fronts;
    }

    public void setFronts(Fronts fronts) {
        this.fronts = fronts;
    }

    public Target getTarget() {
        return target;
    }

    public void setTarget(Target target) {
        this.target = target;
    }

    public Depend getDepend() {
        return depend;
    }

    public void setDepend(Depend depend) {
        this.depend = depend;
    }

    public String getExecuteType() {
        return executeType;
    }

    public void setExecuteType(String executeType) {
        this.executeType = executeType;
    }
}