package com.bocloud.cop.model;

/**
 * 任务节点类
 * 
 * @author weiwei
 * @version 1.0
 * @since 2018.01.18
 * 
 */
public class InstanceNode {

    private Long id; // ID
    private String name;
    private String status;
    private String code;
    private String category; // 节点类型
    private String catalog; // 节点分类
    private String nodeId; // 节点ID
    private String input;
    private String config;
    private String control;
    private String moduleType; // 节点类型

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name
     *            the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status
     *            the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * @param code
     *            the code to set
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * @return the category
     */
    public String getCategory() {
        return category;
    }

    /**
     * @param category
     *            the category to set
     */
    public void setCategory(String category) {
        this.category = category;
    }

    /**
     * @return the catalog
     */
    public String getCatalog() {
        return catalog;
    }

    /**
     * @param catalog
     *            the catalog to set
     */
    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    /**
     * @return the nodeId
     */
    public String getNodeId() {
        return nodeId;
    }

    /**
     * @param nodeId
     *            the nodeId to set
     */
    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    /**
     * @return the input
     */
    public String getInput() {
        return input;
    }

    /**
     * @param input
     *            the input to set
     */
    public void setInput(String input) {
        this.input = input;
    }

    /**
     * @return the config
     */
    public String getConfig() {
        return config;
    }

    /**
     * @param config
     *            the config to set
     */
    public void setConfig(String config) {
        this.config = config;
    }

    /**
     * @return the control
     */
    public String getControl() {
        return control;
    }

    /**
     * @param control
     *            the control to set
     */
    public void setControl(String control) {
        this.control = control;
    }

    public InstanceNode() {
        super();
    }

    public String getModuleType() {
        return moduleType;
    }

    public void setModuleType(String moduleType) {
        this.moduleType = moduleType;
    }

    public InstanceNode(String name, String code, String nodeId, String input, String config, String control, String moduleType) {
        super();
        this.name = name;
        this.code = code;
        this.nodeId = nodeId;
        this.input = input;
        this.config = config;
        this.control = control;
        this.moduleType = moduleType;
    }

}
