package com.bocloud.cop.model;

import com.megatron.entity.bean.GenericEntity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class Item extends GenericEntity {

    private Long id; // ID

    private Integer timeout;

    private String scriptType;// 脚本类型

    private String scriptParam;// 输入参数 json格式

    private String scriptContent;// 脚本内容

    private String source;// 合规/巡检

    private Long scriptId;

}
