package com.bocloud.cop.model;

import com.alibaba.fastjson.JSONObject;

import lombok.Data;

@Data
public class TaskEdge {

    private String id; // 线ID
    private Integer zIndex; // 线型层级
    private String shape; // 线型
    private String source; // 源节点
    private String sourceAnchor; // 源节点锚点
    private String target; // 目标节点
    private String targetAnchor; // 目标节点锚点
    private boolean dicision; // 条件是否满足
    private boolean ignore; // 忽略的线

    private String parent;

    private JSONObject router;
    private String connector;

    public TaskEdge() {
        super();
    }

    public TaskEdge(String id, int index, String shape, String source, String sourceAnchor, String target,
                    String targetAnchor, boolean dicision, boolean ignore) {
        super();
        this.id = id;
        this.zIndex = index;
        this.shape = shape;
        this.source = source;
        this.sourceAnchor = sourceAnchor;
        this.target = target;
        this.targetAnchor = targetAnchor;
        this.dicision = dicision;
        this.ignore = ignore;
    }

}
