package com.bocloud.cop.model;

import java.util.List;

import lombok.Data;

/**
 * 主机资源权限配置
 *
 * @author hongqingyu
 * @version 1.0
 * @since 2022.06.10
 */
@Data
public class TaskHostConfigBean {
    /**
     * 主机资源id
     */
    private List<Long> ids;
    /**
     * 用户id
     */
    private List<Long> userIds;
    /**
     * 角色Id
     */
    private List<Long> roleIds;
    /**
     * 认证账号id
     */
    private List<Long> identificationIds;

    /**
     * 用户组id
     */
    private List<Long> userGroupIds;
}
