package com.bocloud.cop.model;

public class TaskMessage {

    private Long taskId;
    private Long jobId;
    private Long userId;
    private String data;
    private String nodeId;
    private boolean success;
    private boolean suspend;
    private boolean canceld;

    /**
     * @param taskId
     * @param jobId
     * @param userId
     * @param data
     * @param nodeId
     * @param progress
     * @param success
     * @param suspend
     * @param canceld
     */
    public TaskMessage(Long taskId, Long jobId, Long userId, String data, String nodeId, boolean success,
        boolean suspend, boolean canceld) {
        this.taskId = taskId;
        this.jobId = jobId;
        this.userId = userId;
        this.data = data;
        this.nodeId = nodeId;
        this.success = success;
        this.suspend = suspend;
        this.canceld = canceld;
    }

    /**
     * @return the nodeId
     */
    public String getNodeId() {
        return nodeId;
    }

    /**
     * @param nodeId
     *            the nodeId to set
     */
    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    /**
     * 
     */
    public TaskMessage() {
        super();
    }

    /**
     * @return the taskId
     */
    public Long getTaskId() {
        return taskId;
    }

    /**
     * @param taskId
     *            the taskId to set
     */
    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the jobId
     */
    public Long getJobId() {
        return jobId;
    }

    /**
     * @param jobId
     *            the jobId to set
     */
    public void setJobId(Long jobId) {
        this.jobId = jobId;
    }

    /**
     * @return the userId
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * @param userId
     *            the userId to set
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * @return the data
     */
    public String getData() {
        return data;
    }

    /**
     * @param data
     *            the data to set
     */
    public void setData(String data) {
        this.data = data;
    }

    /**
     * @return the success
     */
    public boolean isSuccess() {
        return success;
    }

    /**
     * @param success
     *            the success to set
     */
    public void setSuccess(boolean success) {
        this.success = success;
    }

    /**
     * @return the suspend
     */
    public boolean isSuspend() {
        return suspend;
    }

    /**
     * @param suspend
     *            the suspend to set
     */
    public void setSuspend(boolean suspend) {
        this.suspend = suspend;
    }

    /**
     * @return the canceld
     */
    public boolean isCanceld() {
        return canceld;
    }

    /**
     * @param canceld
     *            the canceld to set
     */
    public void setCanceld(boolean canceld) {
        this.canceld = canceld;
    }

}
