package com.bocloud.cop.model;

import java.util.List;

import lombok.Data;

@Data
public class TaskStats {

    private TaskDigit digit; // 数量统计
    private ResultTrend trend; // 趋势图
    private List<StatResult> duration; // 时间分析
    private List<StatResult> result; // 结果
    private ResultTrend templateTrend; // 模板统计
    private List<StatResult> script;
    private List<StatResult> template;
    private List<StatResult> taskTop5;

    public TaskStats() {
        super();
    }

    /**
     * @param digit
     * @param trend
     * @param duration
     * @param result
     * @param templateTrend
     * @param script
     */
    public TaskStats(TaskDigit digit, ResultTrend trend, List<StatResult> duration, List<StatResult> result,
        ResultTrend templateTrend, List<StatResult> script) {
        super();
        this.digit = digit;
        this.trend = trend;
        this.duration = duration;
        this.result = result;
        this.templateTrend = templateTrend;
        this.script = script;
    }

}
