package com.bocloud.cop.model.inspection;

import lombok.Data;

/**
 * 用于存储某个值和其告警结果 warningRuleResult可能为null 表示 该值没有告警
 */
@Data
public class ScriptLogResultEntity {
    String valueName;
    String value;
    WarningRuleResult warningRuleResult;

    /**
     * 解析/root++++70%@@@@mnt++++60%的结果
     * 
     * @param valueName
     *            /root mnt
     * @param value
     *            70% 60%
     * @param warningRuleResult
     *            当无巡检告警时为null
     */
    /**
     * 解析 70%的结果
     *
     * @param valueName
     *            null
     * @param value
     *            70%
     * @param warningRuleResult
     *            当无巡检告警时为null
     */
    public ScriptLogResultEntity(String valueName, String value, WarningRuleResult warningRuleResult) {
        this.valueName = valueName;
        this.value = value;
        this.warningRuleResult = warningRuleResult;
    }
}