package com.bocloud.cop.intf.inspection;

import com.bocloud.cop.entity.inspection.InspectTiming;
import com.bocloud.cop.model.OperationParam;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

public interface InspectTimingService {

    GeneralResult<InspectTiming> get(Long id);

    GeneralResult<InspectTiming> save(InspectTiming timing, Long userId);

    GeneralResult<Void> update(InspectTiming timing, Long userId);

    GeneralResult<Void> delete(Long id, Long userId);

    GeneralResult<GridBean<InspectTiming>> list(Pager pager, Long userId);

    GeneralResult<String> removeScheduleIfLeader(Long id);

    GeneralResult<String> addScheduleIfLeader(Long id);

    void onApplicationReadyEvent();

    GeneralResult<Void> operate(Long id, String action, OperationParam param, RequestContext user);

}
