package com.bocloud.cop.constant;

/**
 * 常量
 */
public class CommonConstant {

    public static final String PING = "ping";
    public static final String WIN_PING = "win_ping";
    public static final String TARGETS = "targets";
    public static final String QUEUE = "queue";
    public static final String AUTHORITY = "authority";
    public static final String USERS = "users";
    public static final String SUDO = "sudo";
    public static final String ARGS = "args";
    public static final String MODULE = "module";
    public static final String STATE = "state";
    public static final String ENABLED = "enabled";
    public static final String SERVICE = "service";
    public static final String CONTENT = "content";
    public static final String TIMEOUT = "timeout";
    public static final String MASTER = "master";
    public static final String SLAVE = "slave";
    public static final String SENTINEL = "sentinel";
    public static final String REPLICA = "replica";
    public static final String ARBITER = "arbiter";
    public static final String RESPONSE = "response";
    public static final String OPTIONS = "options";
    public static final String SUCCESS = "success";
    public static final String MESSAGE = "message";
    public static final String DATABASE = "database";

    public static final String INSTALL_CONFIG = "install_config";
    public static final String SOFTWARE_CONFIG = "software_config";
    public static final String HOSTS_TYPE = "hosts_type";
    public static final String MYSQL_USERS = "mysql_users";
    public static final String MYSQL_DATABASES = "mysql_databases";
    public static final String MYSQL_PACKAGES = "mysql_packages";
    public static final String MYSQL_REPLICATION_USER = "mysql_replication_user";
    public static final String RABBITMQ_USERS = "rabbitmq_users";
    public static final String RABBITMQ_VHOSTS = "rabbitmq_vhosts";
    public static final String RABBITMQ_PLUGINS = "rabbitmq_plugins";
    public static final String INSTALL_JCE = "install_jce";
    public static final String SET_JAVA_HOME = "set_java_home";
    public static final String TOMCAT_INSTANCES = "tomcat_instances";
    public static final String NGINX_SITES = "nginx_sites";
    public static final String NGINX_HTTP_PARAMS = "nginx_http_params";
    public static final String NGINX_CONFIGS = "nginx_configs";
    public static final String START_MODE = "start_mode";
    public static final String CRYPTED_TYPE = "crypted_type";
    public static final String PSWD_EXPIRED = "password_expired";
    public static final String NFS_SERVER = "nfs_server";
    public static final String NFS_CLIENT = "nfs_client";
    public static final String APACHE_VHOSTS = "apache_vhosts";

    public static final String ROOT = "root";
    public static final String PSWD = "password";
    public static final String GROUP = "group";
    public static final String SHELL = "shell";
    public static final String EXPIRES = "expires";

    public static final String PORT = "port";
    public static final String NODE = "node";
    public static final String STATUS = "status";
    public static final String ERROR = "error";
    public static final String ACTION = "action";
    public static final String TYPE = "type";
    public static final String CONFIG = "config";
    public static final String DATA = "data";
    public static final String GRAPH = "graph";
    public static final String HOST = "host";
    public static final String USER = "user";
    public static final String URL = "url";
    public static final String HTTP_PREFIX = "http://";
    /** 站内信的消息队列名称 */
    public static final String MESSAGE_QUEUE_ROUTINGKEY = "event.notice.queue";

    public static final String REPLACECODE = "${}";

    public static class WorkerOperationType {
        public static final String ADD = "add";
        public static final String MODIFY = "modify";
        public static final String DELETE = "delete";
        public static final String VIEW = "view";
    }

    public static class Software {
        public static final String ZOOKEEPER = "zookeeper";
        public static final String TOMCAT = "tomcat";
        public static final String REDIS = "redis";
        public static final String MYSQL = "mysql";
        public static final String NGINX = "nginx";
        public static final String WEBLOGIC = "weblogic";
        public static final String RABBITMQ = "rabbitmq";
        public static final String JDK = "jdk";
        public static final String JAVA = "java";
        public static final String NFS = "nfs";
        public static final String ORACLE = "oracle";
        public static final String APACHE = "apache";
        public static final String ACTIVEMQ = "activemq";
        public static final String KAFKA = "kafka";
        public static final String MONGODB = "mongodb";
        public static final String ETCD = "etcd";
        public static final String WAS = "was";
    }

    public static class WorkerResponseType {
        public static final String SYNC = "sync";
        public static final String ASYNC = "async";
    }

}
