package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

/**
 * 
 * @author wangshuai
 * @version 4.1.0-SNAPSHOT
 * @since 2018/12/25
 *
 */
@Table("script_content")
public class ScriptContent extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    // 脚本id
    @Column("script_id")
    private Long scriptId;
    // 脚本内容
    @Column("content")
    private String content;
    // 脚本版本
    @Column("version")
    private String version;
    // 版本ID
    @Column("version_id")
    private Long versionId;
    @IgnoreAll
    private String creator;

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the scriptId
     */
    public Long getScriptId() {
        return scriptId;
    }

    /**
     * @param scriptId
     *            the scriptId to set
     */
    public void setScriptId(Long scriptId) {
        this.scriptId = scriptId;
    }

    /**
     * @return the content
     */
    public String getContent() {
        return content;
    }

    /**
     * @param content
     *            the content to set
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version
     *            the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return the versionId
     */
    public Long getVersionId() {
        return versionId;
    }

    /**
     * @param versionId
     *            the versionId to set
     */
    public void setVersionId(Long versionId) {
        this.versionId = versionId;
    }

    /**
     * @return the creator
     */
    public String getCreator() {
        return creator;
    }

    /**
     * @param creator
     *            the creator to set
     */
    public void setCreator(String creator) {
        this.creator = creator;
    }

}
