package com.bocloud.cop.entity.inspection;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.Data;

/**
 * t_inspect_item表和t_inspect_template表的中间关联表
 */
@Data
@Table("inspect_template_item")
public class InspectTemplateItem extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column
    private Long templateId; // 巡检模板id
    @Column
    private Long itemId; // 巡检项id

}
