package com.bocloud.cop.model;

import java.util.List;

import com.alibaba.fastjson.JSONObject;

public class InstanceGraph {

    private List<InstanceNode> nodes;
    private List<TaskEdge> edges;

    /**
     * @return the nodes
     */
    public List<InstanceNode> getNodes() {
        return nodes;
    }

    /**
     * @param nodes
     *            the nodes to set
     */
    public void setNodes(List<InstanceNode> nodes) {
        this.nodes = nodes;
    }

    /**
     * @return the edges
     */
    public List<TaskEdge> getEdges() {
        return edges;
    }

    /**
     * @param edges
     *            the edges to set
     */
    public void setEdges(List<TaskEdge> edges) {
        this.edges = edges;
    }

    public InstanceGraph() {
        super();
    }

    /**
     * @param nodes
     * @param links
     */
    public InstanceGraph(List<InstanceNode> nodes, List<TaskEdge> edges) {
        super();
        this.nodes = nodes;
        this.edges = edges;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
