package com.bocloud.cop.model;

import java.util.List;

/**
 * @ Description：脚本执行前端输入
 * @ Author     ：丁明威
 * @ Date       ：Created in 10:52 2018/12/26
 * @ Modified By：
 */
public class ScriptFront {
    //脚本分组ID
    private List<Long> groupId;
    //脚本数据库中的ID
    private Long scriptId;
    //脚本执行参数
    private String params;
    //脚本内容
    private String content;
    //脚本类别:shell|bat 等
    private String category;

    public ScriptFront(List<Long> groupId, Long scriptId, String params, String content, String category) {
        this.groupId = groupId;
        this.scriptId = scriptId;
        this.params = params;
        this.content = content;
        this.category = category;
    }

    public ScriptFront() {
    }

    public List<Long> getGroupId() {
        return groupId;
    }

    public void setGroupId(List<Long> groupId) {
        this.groupId = groupId;
    }

    public Long getScriptId() {
        return scriptId;
    }

    public void setScriptId(Long scriptId) {
        this.scriptId = scriptId;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }
}