package com.bocloud.cop.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Target {
    private Boolean sudo;
    private Boolean shareHostPool;
    private Boolean become;
    private String becomeUser;
    private String becomePass;
    private Long identId;
    private List<WorkerHost> data;
    private String authenMode;
    private String executeType;

    public Target(Boolean sudo, Long identId, List<WorkerHost> data, String authenMode, String executeType) {
        this.sudo = sudo;
        this.identId = identId;
        this.data = data;
        this.authenMode = authenMode;
        this.executeType = executeType;
    }

}