package com.bocloud.cop.model;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cop.entity.TaskNode;

public class TaskGraph {

    private List<TaskNode> nodes;
    private List<TaskEdge> edges;
    private List<?> groups;

    /**
     * @return the nodes
     */
    public List<TaskNode> getNodes() {
        return nodes;
    }

    /**
     * @param nodes
     *            the nodes to set
     */
    public void setNodes(List<TaskNode> nodes) {
        this.nodes = nodes;
    }

    /**
     * @return the edges
     */
    public List<TaskEdge> getEdges() {
        return edges;
    }

    /**
     * @param edges
     *            the edges to set
     */
    public void setEdges(List<TaskEdge> edges) {
        this.edges = edges;
    }

    public TaskGraph() {
        super();
    }

    /**
     * @param nodes
     * @param links
     */
    public TaskGraph(List<TaskNode> nodes, List<TaskEdge> edges) {
        super();
        this.nodes = nodes;
        this.edges = edges;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

    public List<?> getGroups() {
        return groups;
    }

    public void setGroups(List<?> groups) {
        this.groups = groups;
    }
}
