package com.bocloud.cop.model.params;

import cn.hutool.json.JSONObject;
import lombok.Data;

import java.util.List;

/**
 * @ClassName GaiaConfigParams
 * @Description gaia配置信息
 * @Author majiali
 * @Date 2023/5/31 14:19
 * @Version 1.0
 **/
@Data
public class GaiaConfigParams {
    private String gaia_port;//端口
    private String yum_host;//非必填,在扩容时，需要使用软件安装或者lvm等功能时，需要有我们自己的Yum源时必须要提供

    /**
     * 192.168.1.151:2181,192.168.1.151:2181
     */
    private String zookeeper;
    /**
     * 只传ip，用户密码使用默认的，如果已经改
     * [
     * {
     * "host": "192.168.1.151"
     * },
     * {
     * "host": "192.168.1.152"
     * },
     * {
     * "host": "192.168.1.153"
     * }
     * ]
     */
    private List<JSONObject> rabbitmq;

}
