package com.bocloud.cop.model.params;

import com.bocloud.cop.model.WorkerHost;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;
import java.util.Map;

public class ServerUserModifyParams {

    private List<WorkerHost> targets;

    private String userName;

    private String password;

    private String description;

    private String group;

    private String shell;

    private Map<String,Object> options;

    private String expires;

    @JsonProperty("crypted_type")
    private String cryptedType;

    @JsonProperty("password_expired")
    private Boolean passwordExpired;

    public Boolean getPasswordExpired() {
        return passwordExpired;
    }

    public void setPasswordExpired(Boolean passwordExpired) {
        this.passwordExpired = passwordExpired;
    }

    public String getExpires() {
        return expires;
    }

    public void setExpires(String expires) {
        this.expires = expires;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getShell() {
        return shell;
    }

    public void setShell(String shell) {
        this.shell = shell;
    }

    public String getCryptedType() {
        return cryptedType;
    }

    public void setCryptedType(String cryptedType) {
        this.cryptedType = cryptedType;
    }

    public List<WorkerHost> getTargets() {
        return targets;
    }

    public void setTargets(List<WorkerHost> targets) {
        this.targets = targets;
    }

    public Map<String, Object> getOptions() {
        return options;
    }

    public void setOptions(Map<String, Object> options) {
        this.options = options;
    }
}
