package com.bocloud.cop.intf;

import java.util.List;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;
import com.bocloud.cop.model.ResultTrend;
import com.bocloud.cop.model.StatResult;
import com.bocloud.cop.model.TaskStats;

public interface StatsTaskService {

    public GeneralResult<TaskStats> statsDefault(String dataType, RequestContext context);

    public GeneralResult<ResultTrend> statsTrend(String dataType, RequestContext context);

    public GeneralResult<List<StatResult>> statsDuration(String dataType, RequestContext context);

    public GeneralResult<List<StatResult>> statsResult(String dataType, RequestContext context);

    // public GeneralResult<GridBean<TaskInstance>> statsInstance(String dataType, RequestContext context);

    public GeneralResult<List<StatResult>> statsDataview(String dataType, RequestContext context);

    public GeneralResult<List<StatResult>> stats(String code,String dataType, RequestContext context);


}
