package com.bocloud.cop.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.bocloud.cop.entity.TaskTreatment;

/**
 * @author huliwei
 * @date 2023/4/23
 */
public interface TaskTreatmentService {

    public GeneralResult<GridBean<TaskTreatment>> list(Pager pager, Long userId);

    public GeneralResult<TaskTreatment> create(TaskTreatment template, RequestContext context);

    public GeneralResult<TaskTreatment> modify(TaskTreatment template, RequestContext context);

    public GeneralResult<Void> remove(Long id, Long userId);
}
