package com.bocloud.cop.intf.compare;

import com.bocloud.cop.entity.compare.TaskDocumentComparison;
import com.bocloud.cop.entity.compare.TaskInstanceDocumentComparisonItem;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * @Author liuyuanyuan
 * @Date 2022-10-292 16:04:48
 * @Description:
 */
public interface TaskDocumentComparisonService {

    GeneralResult<GridBean<TaskDocumentComparison>> list(Pager pager);

    GeneralResult<Void> create(TaskDocumentComparison param, RequestContext context);

    GeneralResult<Void> remove(Long id, Long target);

    GeneralResult<Void> operate(String action , Long id , RequestContext requestContext);

    GeneralResult<String> addScheduleIfLeader(Long id, RequestContext context);

    GeneralResult<String> removeScheduleIfLeader(Long id);

    void onApplicationEvent();

    GeneralResult<GridBean<TaskInstanceDocumentComparisonItem>> items(Long id, Pager pager);
}