package com.bocloud.cop.intf.compare;

import com.bocloud.cop.entity.TaskHost;
import com.bocloud.cop.entity.compare.StandardDocument;
import com.bocloud.cop.entity.compare.TaskInstanceDocumentComparison;
import com.bocloud.cop.model.compare.ContrastFileModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

import java.util.List;

/**
 * @Author liuyuanyuan
 * @Date 2022-10-292 17:36:49
 * @Description:
 */
public interface TaskInstanceDocumentComparisonService {

    GeneralResult<GridBean<TaskInstanceDocumentComparison>> list(Pager pager);

    GeneralResult<List<ContrastFileModel>> contrast(Long id, Long itemId);

    GeneralResult<List<TaskHost>> instanceHostList(Long id, RequestContext context);

    GeneralResult<List<StandardDocument>> instanceStandardFiles(Long id, RequestContext context);
}