package com.bocloud.cop.intf.inspection;

import java.util.List;

import com.bocloud.cop.entity.inspection.InspectItem;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

public interface InspectItemService {

    GeneralResult<InspectItem> get(Long id);

    GeneralResult<Void> save(InspectItem item, Long userId);

    GeneralResult<Void> update(InspectItem item, Long id, Long userId);

    GeneralResult<Void> delete(Long id, Long userId);

    GeneralResult<GridBean<InspectItem>> list(Pager pager, Long userId);

    GeneralResult<List<String>> loadSameParams(String ids);

}
