package com.bocloud.cop.intf.patch;

import com.bocloud.cop.entity.patch.PatchDeployHistory;
import com.bocloud.cop.entity.patch.PatchDeployHistoryDetail;
import com.bocloud.cop.model.ResultTrend;
import com.bocloud.cop.model.StatResult;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletResponse;

import java.util.List;

public interface PatchDeployHistoryService {

    GeneralResult<GridBean<PatchDeployHistory>> list(Pager pager, Long userId);

    GeneralResult<GridBean<PatchDeployHistoryDetail>> listDetails(Pager pager);

    void excel(Long id, HttpServletResponse response);

    void pdf(Long id, HttpServletResponse response);

    GeneralResult<List<StatResult>> statsStatus(RequestContext context);

    GeneralResult<ResultTrend> statsTrend(RequestContext context);

    List<PatchDeployHistoryDetail> queryByPatchIdAndStatus(Long patchId, String status);

    List<PatchDeployHistoryDetail> queryByDeployIdAndStatus(Long deployId, String status);

}
