package com.bocloud.cop.service.utils.worker;

import java.util.Map;

import lombok.Data;

/**
 * 调用Worker组件的返回结果对象
 */
@Data
public final class TaskTargetResult {
    private String host;
    private String user;
    private Map<String, Object> message;
    private String errorMsg;
    private Boolean success;

    public TaskTargetResult() {
        super();
    }

    public TaskTargetResult(boolean success, String host, String user, Map<String, Object> message, String errorMsg) {
        this.host = host;
        this.user = user;
        this.message = message;
        this.errorMsg = errorMsg;
        this.success = success;
    }

}
